/*
 * Ibis - IRCv3 Library
 * Copyright (C) 2022-2024 Ibis Developers
 *
 * Ibis is the legal property of its developers, whose names are too numerous
 * to list here.  Please refer to the COPYRIGHT file distributed with this
 * source distribution.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, see <https://www.gnu.org/licenses/>.
 */

#if !defined(IBIS_GLOBAL_HEADER_INSIDE) && !defined(IBIS_COMPILATION)
# error "only <ibis.h> may be included directly"
#endif

#ifndef IBIS_VERSION_CONSTS_H
#define IBIS_VERSION_CONSTS_H

/**
 * IBIS_MAJOR_VERSION:
 *
 * The major version of the version of IBIS that was compiled against.
 *
 * Since: 0.1
 */
#define IBIS_MAJOR_VERSION (0)

/**
 * IBIS_MINOR_VERSION:
 *
 * The minor version of the version of IBIS that was compiled against.
 *
 * Since: 0.1
 */
#define IBIS_MINOR_VERSION (13)

/**
 * IBIS_MICRO_VERSION:
 *
 * The micro version of the version of IBIS that was compiled against.
 *
 * Since: 0.1
 */
#define IBIS_MICRO_VERSION (1)

/**
 * IBIS_EXTRA_VERSION:
 *
 * The extra version of the version of IBIS that was compiled against.
 *
 * Since: 0.1
 */
#define IBIS_EXTRA_VERSION ("")

/**
 * IBIS_VERSION:
 *
 * The full version number for the version of IBIS that was compiled against.
 *
 * Since: 0.1
 */
#define IBIS_VERSION ("0.13.1")

#endif /* IBIS_VERSION_CONSTS_H */
